import settings
import os
import pygame

_cache = {}

def load_graphic(name):
    try:
        return _cache[name]
    except KeyError:
        filename = os.path.join(settings.gfxpath, name+'.png')
        image = pygame.image.load(filename).convert_alpha()
        _cache[name] = image
        return image

_cached_fonts = {}

def render_text(text, color):
    try:
        return _cached_fonts['kharb'].render(text, False, color)
    except KeyError:
        _cached_fonts['kharb'] = pygame.font.Font(os.path.join('fonts', 'kharb.ttf'), 8)
        return _cached_fonts['kharb'].render(text, False, color)
