import random
from pygame.time import Clock
from pygame.sprite import RenderUpdates
from target import Target

class Plane(Target):
    def __init__(self, destinations):
        super(Plane, self).__init__(
            'plane',
            speed=120,
            beamtime=1,
            destinations=destinations,
            score=30)


class PlaneGenerator(RenderUpdates):
    def __init__(self):
        super(PlaneGenerator, self).__init__()
        self.current_path = 0
        self.clock = Clock()
        self.time_passed = 0
        self.time_till_next_plane = 10000

    def update(self):
        self.time_passed += self.clock.tick()
        
        if self.time_passed>self.time_till_next_plane:
            destinations = []
            for i in range(2):
                x_or_y = random.randint(0, 1)
                if x_or_y:
                    destinations.append((random.randint(80, 1200), i*1024))
                else:
                    destinations.append((i*1280, random.randint(80, 944)))
            self.add(Plane(destinations))
            self.time_passed = 0
            self.time_till_next_plane = random.randint(1, 3)*10000

        super(PlaneGenerator, self).update()
    

