import settings
import os
import pygame

_cache = {}

class DummySound(object):
    def play(self):
        pass

    def stop(self):
        pass

def load_sound(name):
    try:
        return _cache[name]
    except KeyError:
        filename = os.path.join(settings.sndpath, name+'.wav')
        try:
            sound = pygame.mixer.Sound(filename)
        except pygame.error:
            sound = DummySound()
        _cache[name] = sound
        return sound
